Bug 256627 - ftp/curl: Add config option for MQTT
Summary: ftp/curl: Add config option for MQTT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-15 19:34 UTC by Michael Osipov
Modified: 2021-07-22 18:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2021-06-15 19:34:31 UTC
Add config option to enable or disable MQTT. Given that this is a special protocol, it should be disabled by default.

See https://github.com/curl/curl/blob/55a13f500e3897c6b640757786c02d989a10f2e2/configure.ac#L867-L881
Comment 1 commit-hook freebsd_committer 2021-07-21 18:15:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9fe030bf0703f790c6b408df4fc1fd1461737514

commit 9fe030bf0703f790c6b408df4fc1fd1461737514
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-21 17:52:17 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-21 18:12:12 +0000

    ftp/curl: Add MQTT option

    PR:             256627
    Requested by:   Michael Osipov <michael.osipov@siemens.com>

 ftp/curl/Makefile | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-07-21 18:24:42 UTC
Committed. Thanks!
Comment 3 Michael Osipov 2021-07-22 18:35:11 UTC
Brilliant, thank you!